Name:          kdevelop
Version:       4.7.0
Release:       1mamba
Summary:       Integrated Development Environment for KDE
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://kdevelop.kde.org
Source:        http://download.kde.org/stable/kdevelop/%{version}/src/kdevelop-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kde-workspace-devel
BuildRequires: kdelibs-devel
BuildRequires: kdevplatform
BuildRequires: libQtDeclarative
BuildRequires: libgcc
BuildRequires: libqjson-devel
BuildRequires: libqt4-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
BuildRequires: okteta-devel
## AUTOBUILDREQ-END
BuildRequires: kdevplatform >= 1.7.0
Requires:      make
Requires:      cvs
Requires:      git
Requires:      doxygen
Requires:      graphviz
Requires:      subversion
Requires:      valgrind
Provides:      kdevelop4
Obsoletes:     kdevelop4
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
An integrated development environment (IDE) that allows you to develop, build and debug KDE/Qt, GNOME, plain C and C++ projects.
It includes a documentation browser, a source code editor with syntax highlighting, a GUI for the compiler, and much more.

%package devel
Summary:       Development files for for %{name}
Group:         Development/Applications
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      kdevelop4-devel
Obsoletes:     kdevelop4-devel

%description devel
An integrated development environment (IDE) that allows you to develop, build and debug KDE/Qt, GNOME, plain C and C++ projects.
It includes a documentation browser, a source code editor with syntax highlighting, a GUI for the compiler, and much more.

This package contains development files for for %{name}.

%prep
%setup -q -n kdevelop-%{version}

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build

# build the list of files for the main package
find %{buildroot} \( -type f -or -type l \) \
   \( -path "%{buildroot}%{_kdebindir}/*"      -or \
      -path "%{buildroot}%{_kdedatadir}/*"     -or \
      -path "%{buildroot}%{_kdelibdir}/*.so.*" -or \
      -path "%{buildroot}%{_kdelibdir}/kde3/*"     \
   \) | sed "s|^%{buildroot}||" > filelist.nodevel

find %{buildroot}%{_datadir} -type d \
   \( -path "%{buildroot}%{_kdedatadir}/doc/HTML/en/*" -or \
      -path "%{buildroot}%{_kdedatadir}/apps/*" \
   \) | sed "s|^%{buildroot}|\%attr(-,root,root) \%dir |" >> filelist.nodevel

# build the list of header files
find %{buildroot}%{_kdeincludedir} -type f -or -type l -name "*.h" | \
   sed "s|^%{buildroot}||" > filelist.devel

find %{buildroot}%{_kdeincludedir}/* -type d | \
   sed "s|^%{buildroot}|\%attr(-,root,root) \%dir |" >> filelist.devel

# put the .so and .la library files in the right package
find %{buildroot}%{_kdelibdir} -maxdepth 1 \
   \( -type f -or -type l \) -name "*.so" | \
   sed "s|^%{buildroot}||" > libso.list

while read libso; do
   if [ -L $libso ]; then
      echo "$libso" >> filelist.devel
      [ -e %{buildroot}${libso/\.so/.la} ] &&
         echo "${libso/\.so/.la}" >> filelist.devel
   else
      echo "$libso" >> filelist.nodevel
      [ -e %{buildroot}${libso/\.so/.la} ] &&
         echo "${libso/\.so/.la}" >> filelist.nodevel
   fi
done < libso.list

%find_lang kdevcmake
%find_lang kdevcmakebuilder
%find_lang kdevcpp
%find_lang kdevcustombuildsystem
%find_lang kdevcustommake
%find_lang kdevelop
%find_lang kdevexecuteplasmoid
%find_lang kdevformatters
%find_lang kdevgdb
%find_lang kdevghprovider
%find_lang kdevkdeprovider
%find_lang kdevmakebuilder
%find_lang kdevmanpage
%find_lang kdevninja
%find_lang kdevokteta
%find_lang kdevqthelp
%find_lang kdevokteta
%find_lang plasma_applet_kdevelopsessions
%find_lang plasma_runner_kdevelopsessions
%find_lang plasma_runner_kdevelopsessions

cat *.lang >> filelist.nodevel

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f filelist.nodevel
%defattr(-,root,root)
%{_kde4_bindir}/kdevelop
%{_kde4_bindir}/kdevelop!
%{_kde4_configdir}/kdeveloprc
%config %{_kde4_configdir}/kdevelop-qthelp.knsrc
%{_kde4_libdir}/kde4/kcm_*.so
%{_kde4_libdir}/kde4/kdev*.so
%{_kde4_libdir}/kde4/krunner_kdevelopsessions.so
%{_kde4_libdir}/kde4/plasma_engine_kdevelopsessions.so
%{_kde4_libdir}/libkdev4*.so
%{_kde4_xdgappsdir}/kdevelop.desktop
%{_kde4_xdgappsdir}/kdevelop_ps.desktop
%{_kde4_datadir}/cmake/modules/FindKDevelop.cmake
#%{_kde4_datadir}/kdevcmakebuilder/data.kdev4
#%{_kde4_datadir}/kdevcmakemanager/data.kdev4
%dir %{_kde4_datadir}/kdevcodegen
%dir %{_kde4_datadir}/kdevcodegen/templates
%{_kde4_datadir}/kdevcodegen/templates/*
%dir %{_kde4_datadir}/kdevcppsupport
%{_kde4_datadir}/kdevcppsupport/kdevcppsupport.rc
%dir %{_kde4_datadir}/kdevcustommakemanager
%{_kde4_datadir}/kdevcustommakemanager/kdevcustommakemanager.rc
%dir %{_kde4_datadir}/kdevelop
%{_kde4_datadir}/kdevelop/katepartui.rc
%{_kde4_datadir}/kdevelop/kdevelop.notifyrc
%{_kde4_datadir}/kdevelop/kdevelopui.rc
%{_kde4_datadir}/kdevelop/splash.qml
%{_kde4_datadir}/kdevgdb/kdevgdbui.rc
%{_kde4_datadir}/kdevelop/icons/hicolor/*/actions/*.png
#%{_kde4_datadir}/kdevelop/icons/hicolor/*/mimetypes/kdevelop_project.png
%{_kde4_datadir}/kdevelop/pics/*.png
%{_kde4_datadir}/kdevappwizard/templates/cmake*.bz2
%dir %{_kde4_datadir}/kdevfiletemplates/templates
%{_kde4_datadir}/kdevfiletemplates/templates/*
%{_kde4_datadir}/kdevgdb/printers/*
%dir %{_kde4_datadir}/kdevmanpage
%{_kde4_datadir}/kdevmanpage/manpagedocumentation.css
%{_kde4_datadir}/kdevokteta/kdevokteta.rc
%{_kde4_datadir}/plasma/plasmoids/kdevelopsessions/contents/ui/kdevelopsessions.qml
%{_kde4_datadir}/plasma/plasmoids/kdevelopsessions/metadata.desktop
%{_kde4_datadir}/plasma/services/org.kde.plasma.dataengine.kdevelopsessions.operations
%{_kde4_xdgmimedir}/kdevelop.xml
%{_kde4_icondir}/hicolor/*/apps/*.png
%{_kde4_servicesdir}/kdev*.desktop
%{_kde4_servicesdir}/kcm_kdev*.desktop
%{_kde4_servicesdir}/plasma-applet-kdevelopsessions.desktop
%{_kde4_servicesdir}/plasma-dataengine-kdevelopsessions.desktop
%dir %{_kde4_htmldir}/en/kdevelop
%{_kde4_htmldir}/en/kdevelop/*

%files devel -f filelist.devel
%defattr(-,root,root)
%{_kde4_includedir}/kdevelop/make/imakebuilder.h

%changelog
* Mon Oct 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.0-1mamba
- update to 4.7.0

* Sat Nov 03 2012 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Wed Aug 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.1-2mamba
- rebuilt with kdesdk 4.9.0

* Sun Apr 15 2012 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- update to 4.3.1

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Sun Jun 26 2011 Automatic Build System <autodist@mambasoft.it> 4.2.3-1mamba
- automatic update by autodist

* Wed Apr 06 2011 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic update by autodist

* Tue Apr 05 2011 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic update by autodist

* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic update by autodist

* Thu Jan 13 2011 Automatic Build System <autodist@mambasoft.it> 4.1.2-1mamba
- automatic update by autodist

* Fri Nov 26 2010 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic update to 4.1.1 by autodist

* Wed Nov 10 2010 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic update to 4.1.0 by autodist

* Thu Sep 02 2010 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic update to 4.0.2 by autodist

* Sat Jul 31 2010 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic update to 4.0.1 by autodist

* Fri Jun 04 2010 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- update to 4.0.0

* Sat Mar 13 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.99-1mamba
- update to 3.9.99

* Sat Nov 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.96-1mamba
- update to 3.9.96

* Thu Jun 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.93-1mamba
- update to 3.9.93

* Wed Jun 24 2009 Automatic Build System <autodist@mambasoft.it> 3.5.4-3mamba
- automatic rebuild by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 3.5.4-2mamba
- automatic rebuild by autodist

* Thu Jan 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.4-1mamba
- automatic update to 3.5.4 by autodist

* Mon Sep 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.3-2mamba
- rebuilt against subversion 1.5.2

* Sat Sep 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.3-1mamba
- update to 3.5.3

* Wed May 14 2008 Aleph0 <aleph0@openmamba.org> 3.5.2-1mamba
- update to 3.5.2

* Fri Mar 21 2008 Aleph0 <aleph0@openmamba.org> 3.5.1-1mamba
- update to 3.5.1

* Wed Nov 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.0-3mamba
- rebuild against new libapr

* Mon Nov 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.0-2mamba
- added build requirement for subversion-devel, not subversion
- fix given kdelibsdoc-dir
- added build requirements for libapr-devel and libaprutil-devel

* Mon Oct 22 2007 Aleph0 <aleph0@openmamba.org> 3.5.0-1mamba
- update to 3.5.0

* Tue May 29 2007 Aleph0 <aleph0@openmamba.org> 3.4.1-1mamba
- update to 3.4.1

* Thu Feb 08 2007 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.6-1qilnx
- update to version 3.3.6 by autospec

* Fri Oct 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.5-1qilnx
- update to version 3.3.5 by autospec

* Thu Aug 03 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.4-1qilnx
- update to version 3.3.4 by autospec

* Mon Jun 05 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.3-1qilnx
- update to version 3.3.3 by autospec

* Wed Mar 29 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.2-1qilnx
- update to version 3.3.2 by autospec

* Thu Feb 02 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.1-1qilnx
- update to version 3.3.1 by autospec

* Fri Dec 02 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.0-1qilnx
- update to version 3.3.0 by autospec
- added devel package

* Fri Oct 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.2.3-1qilnx
- update to version 3.2.3 by autospec

* Wed Aug 31 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.2.2-1qilnx
- update to version 3.2.2 by autospec
- [build]requires subversion
- build requirements / requirements added

* Fri Jun 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.2.1-1qilnx
- update to version 3.2.1 by autospec

* Fri May 20 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.2.0-1qilnx
- update to version 3.2.0 by autospec
- added missing %%post and %%postun scripts
- automatically detect kde version number
- dinamically build the lists of files

* Tue Dec 21 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.1.2-1qilnx
- update to version 3.1.2 by autospec

* Tue Oct 19 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.1-2qilnx
- removed htdig requirement

* Tue Oct 19 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.1-1qilnx
- new version build

* Wed Jun 30 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.4-2qilnx
- rebuild with kdelibs-apidocs

* Tue Jun 29 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.4-1qilnx
- new version rebuild

* Tue May 04 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.3-1qilnx
- new version rebuild

* Thu Mar 11 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.2-1qilnx
- new version rebuild

* Fri Feb 27 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.1-1qilnx
- new version rebuild

* Mon Dec 29 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0b2-1qilnx
- new version rebuild

* Fri Jul 22 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.1.5-1qilnx
- first build for kdevelop
        /opt/kde/bin/kdevelop_attach
        /opt/kde/lib/kde4/krunner_kdevelopsessions.so
        /opt/kde/share/applications/kdevelop_ps.desktop

